//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HealthcareSoft.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class AppointmentDetail
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public AppointmentDetail()
        {
            this.PrescriptionAgainstPatients = new HashSet<PrescriptionAgainstPatient>();
        }
    
        public long Id { get; set; }
        public long AppointmentId { get; set; }
        public long DiseaseId { get; set; }
        public long AllergieId { get; set; }
        public long SymptomId { get; set; }
        public string ClinicalNotes { get; set; }
        public int RevisitTime { get; set; }
        public long CreatedBy { get; set; }
        public System.DateTime CreatedOn { get; set; }
        public Nullable<long> ModifiedBy { get; set; }
        public Nullable<System.DateTime> ModifiedOn { get; set; }
    
        public virtual Allergy Allergy { get; set; }
        public virtual Appointment Appointment { get; set; }
        public virtual UserProfile UserProfile { get; set; }
        public virtual Disease Disease { get; set; }
        public virtual Symptom Symptom { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PrescriptionAgainstPatient> PrescriptionAgainstPatients { get; set; }
    }
}
